#! /usr/local/bin/perl
use strict;
use CGI qw/:standard/;

print header;
print start_html(-title=>'zoeken maar',
                -style=>{'src'=>'/zoek/style.css'});
print '<div class="content">',
        h1({-class=>'vs0'},'zoeken maar');

my $OS;
if ($ENV{"HTTP_USER_AGENT"} =~ m/Win/) {
	$OS = 'Windows';
} else {
	$OS = 'Linux';
}

print "<table>";
my @lines = `tail -25 /var/www/crawler/html/queries`;
foreach (@lines) {
	chomp;
	my ($ip, $time, $dur, $query) = split("\t");

	# get the name of the host
	$ip =~ m/(\d\d?\d?\.\d\d?\d?\.\d)(\d?)\d?\./;
	if ($1 ne "137.224.2" || $2 < 2 || $2 > 4) {
		`/var/www/crawler/smbdata/updatenames.pl $ip`;
	}
	my ($name, $group);
	foreach (`grep $ip /var/www/crawler/smbdata/computernames`) {
		($ip, $name, $group) = split("\t");
		chomp $group;
	}
	my $url;
	if ($OS eq "Windows") {
		$url = 'file://///'.$ip;
	} else {
		$url = 'smb://'.$ip;
	}
	print "<tr>";
# moest van een zoekende wesper (=Henri) weg. 
#	print "<tr><td><a href=\"$url\">$ip</a></td><td><a href=\"$url\">$name</a></td><td>$group</td>";
	my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday) = localtime($time);

	my $linkto;
	if ($OS eq "Windows") {
		$linkto = '/cgi-bin/findsmb?query='.$query.'&.cgifields=cs&OS=Windows';
	} else {
		$linkto = '/cgi-bin/findsmb?query='.$query.'&.cgifields=cs';
	}

	print "<td>$hour:$min</td><td><a href=\"$linkto\">$query</a></td></tr>\n";
}
print "</table></body></html>";
